<template>
  <div class="bar-chart-wrapper" id="bar-chart"></div>
</template>

<script setup>
import { ref, onMounted, nextTick } from 'vue'
import setChart from '@/utils/setChart';
import getBarChart from './barchart';

const props = defineProps({
  barChartData: {
    type: Array,
    default: [

    ]
  }
})

onMounted(() => {
  const barChart = getBarChart(props.barChartData)
  setChart(barChart, 'bar-chart', )
})

</script>

<style lang="scss">
.bar-chart-wrapper {
  width: 100%;
  height: 100%;
}
</style>